## org.jboss.ejb.plugins
Class StatefulSessionInstancePool

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInstancePool
            |
            +--org.jboss.ejb.plugins.StatefulSessionInstancePool

All Implemented Interfaces:
  ContainerPlugin, InstancePool, Service, XmlLoadable

public class StatefulSessionInstancePool
extends AbstractInstancePool

An empty shadow class, used to keep symmetry in the code

Version:
  $Revision: 1.4.6.3 $

  Revisions:

  20010718 andreas schaefer:

  - - Added Statistics Gathering
Author:
  Marc Fleury, Andreas Schaefer
See Also:
  <related>

Fields inherited from class org.jboss.ejb.plugins.AbstractInstancePool
`container, log, maxSize, pool, poolFeeder, reclaim`

Constructor Summary
`StatefulSessionInstancePool()`

Method Summary
`protected EnterpriseContext` `create(java.lang.Object instance)`
`void` `free(EnterpriseContext ctx)` Return an instance after invocation.

Methods inherited from class org.jboss.ejb.plugins.AbstractInstancePool
`add, destroy, discard, get, getContainer, getCurrentSize, getMaxSize, getReclaim, importXml, init, setContainer, setReclaim, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulSessionInstancePool

    public StatefulSessionInstancePool()

Method Detail

### free

    public void free(EnterpriseContext ctx)

  Description copied from class: `AbstractInstancePool`
  Return an instance after invocation. Called in 2 cases: a) Done with finder method b) Just removed
  Overrides:
    `free` in class `AbstractInstancePool`
  Following copied from class: `org.jboss.ejb.plugins.AbstractInstancePool`
  Parameters:
    `ctx` -

### create

    protected EnterpriseContext create(java.lang.Object instance)
                                throws java.lang.Exception

  Overrides:
    `create` in class `AbstractInstancePool`

Copyright © 2000 The JBoss Organization. All Rights Reserved.